<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipChildren="false"
    android:paddingBottom="16dp">

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/refreshLottie"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="14dp"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:lottie_autoPlay="false"
        app:lottie_loop="false"
        app:lottie_repeatMode="restart" />

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginLeft="4dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:singleLine="true"
        android:textColor="@color/text_primary"
        android:textSize="@dimen/primary_title_text_size"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/refreshLottie"
        app:layout_constraintEnd_toStartOf="@+id/moreTv"
        app:layout_constraintStart_toEndOf="@+id/refreshLottie"
        app:layout_constraintTop_toTopOf="@+id/refreshLottie"
        tools:text="2021年度热门好游一单搞定终极推荐2021年度热门好游一单搞定终极推荐" />

    <TextView
        android:id="@+id/moreTv"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_marginEnd="4dp"
        android:layout_marginRight="4dp"
        android:gravity="center"
        android:text="全部"
        android:textColor="@color/text_theme"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintBottom_toBottomOf="@+id/arrowIv"
        app:layout_constraintEnd_toStartOf="@+id/arrowIv"
        app:layout_constraintTop_toTopOf="@+id/arrowIv" />

    <ImageView
        android:id="@+id/arrowIv"
        android:layout_width="6dp"
        android:layout_height="10dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:gravity="center"
        android:src="@drawable/ic_home_head_arrow"
        app:layout_constraintBottom_toBottomOf="@+id/titleTv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/titleTv"
        app:tint="@color/text_theme" />

    <TextView
        android:id="@+id/fromTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginLeft="16dp"
        android:text="来自"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintBottom_toBottomOf="@+id/userIconCv"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/userIconCv" />

    <androidx.cardview.widget.CardView
        android:id="@+id/userIconCv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginLeft="4dp"
        android:layout_marginTop="4dp"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp"
        app:layout_constraintStart_toEndOf="@+id/fromTv"
        app:layout_constraintTop_toBottomOf="@+id/refreshLottie">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/userIv"
            style="@style/frescoCircleStyle"
            android:layout_width="16dp"
            android:layout_height="16dp" />
    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/userTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginLeft="4dp"
        android:singleLine="true"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintBottom_toBottomOf="@+id/userIconCv"
        app:layout_constraintStart_toEndOf="@+id/userIconCv"
        app:layout_constraintTop_toTopOf="@+id/userIconCv"
        tools:text="测试用户名 游戏单" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:clipChildren="false"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/userIconCv" />
</androidx.constraintlayout.widget.ConstraintLayout>